//
// Created by Ht on 2019/8/10.
//

#ifndef JSONPROTOCOL_JRDPBASEOBJ_H
#define JSONPROTOCOL_JRDPBASEOBJ_H

#include <qlibc/qlibc.h>

using namespace qlibc;

namespace jedp {
    
    class JE_API JRDpBaseObj :
            public QData {

    protected:
        JRDpBaseObj();
        explicit  JRDpBaseObj(const QData &data);
        explicit JRDpBaseObj(const Json::Value &value);
    };

}


#endif //JSONPROTOCOL_JRDPBASEOBJ_H
